
server:
  port: 5400
  servlet:
    context-path: /xxl-job-admin

# mybatis
mybatis:
  mapper-locations: classpath:/mybatis-mapper/*Mapper.xml


spring:
  application:
    name: job-admin
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 192.168.101.108:8848
        username: nacos
        password: nacos
        namespace: ${spring.profiles.active}
      config:
        enabled: false

  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.101.108:3306/security_cloud_xxl_job?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true&serverTimezone=Asia/Shanghai
    username: root
    password: password
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1
      connection-timeout: 10000
      idle-timeout: 30000
      max-lifetime: 900000
      maximum-pool-size: 30
      minimum-idle: 10
      pool-name: HikariCP
      validation-timeout: 1000
  freemarker:
    charset: UTF-8
    request-context-attribute: request
    settings:
      number_format: 0.##########
    suffix: .ftl
    templateLoaderPath: classpath:/templates/
  mail:
    from: xxx@qq.com
    host: smtp.qq.com
    password: xxx
    username: xxx@qq.com
    port: 25
    properties:
      mail:
        smtp:
          auth: true
          ssl.enable: true
          starttls.enable: false
          required: false

  mvc:
    servlet:
      load-on-startup: 0
    static-path-pattern: /static/**
  web:
    resources:
      static-locations: classpath:/static/
xxl:
  job:
    accessToken: default_token
    i18n: zh_CN
    logretentiondays: 30
    triggerpool:
      fast:
        max: 200
      slow:
        max: 100


# spring boot admin 配置
management:
  health:
    mail:
      enabled: false
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS

